Bug 1027759 - [Usability] Improve the question asked when enabling / disabling datasource
[Usability] Improve the question asked when enabling / disabling datasource
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console - UX (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: DR2
: EAP 6.4.0
Assigned To: Catherine Robson
Pavel Jelinek
Russell Dickenson
Usability
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 06:37 EST by Jakub Cechacek
Modified: 2015-02-01 20:23 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-09 07:38:08 EDT
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-303 Optional Resolved Improve the question asked when enabling / disabling datasource 2015-08-10 07:37:16 EDT

  None (edit)
Description Jakub Cechacek 2013-11-07 06:37:30 EST
When enabling/disabling datasource, the question should read 
"Really disable Datasource java:jboss/datasources/NoTxTradeDataSource?" or "Really enable Datasource java:jboss/datasources/NoTxTradeDataSource?." Instead a less specific question "Really modify Datasource java:jboss/datasources/NoTxTradeDataSource?" is asked. This message is confusing as even though these actions are changing the runtime state, from user's point of view the datasource is not being modified.
Comment 1 Heiko Braun 2014-07-09 07:38:08 EDT
In agreement with Catherine we've decided that UX issues will be tracked separately.
Comment 2 Jakub Cechacek 2014-07-21 02:21:32 EDT
Issue moved under the UX component. 

Also moved to 6.4 as this issue is still valid for 6.3. Use ack flags to decide whether we want to go through with it or not.
Comment 3 Liz 2014-08-14 17:36:07 EDT
* In addition to the suggested rewording, rather than preceding each question with “really” - either strike that, or replace it with “Are you sure you want to...” For example:
A) “Disable the Datasource: java:jboss/datasources/ExampleDS?”
– or – 
B) “Are you sure you want to disable the Datasource: java:jboss/datasources/ExampleDS?”
[Cancel] [Confirm] 

* And if possible, the dialog title should also not use the word “modify.” If it cannot reflect the task (enable/disable datasource), it could simply repeat the table/section title “Available datasources.”
Comment 4 Heiko Braun 2014-08-25 09:52:08 EDT
This is a general limitation that I don't intend to address in EAP 6
Comment 5 JBoss JIRA Server 2014-09-05 02:29:48 EDT
Heiko Braun <ike.braun@googlemail.com> updated the status of jira HAL-303 to Resolved
Comment 6 Heiko Braun 2014-09-05 02:30:40 EDT
We received community contribution that fixes this problem
Comment 7 Harald Pehl 2014-09-23 04:39:59 EDT
Fixed by HAL 2.4.0.Final BZ1144083. Setting to MODIFIED.
Comment 8 Pavel Jelinek 2014-09-29 05:13:59 EDT
Verified for EAP 6.4.0.DR2.

Note You need to log in before you can comment on or make changes to this bug.